def no_of_subsequences(arr, k): 
    result = 0 
    for i in range(len(arr)): 
        product = 1 
        for j in range(i, len(arr)): 
            product *= arr[j] 
            if product < k: 
                result += 1 
    return result
cnt = 0
try:
    assert no_of_subsequences([1,2,3,4], 10) == 11
    cnt+=1
    assert no_of_subsequences([4,8,7,2], 50) == 9
    cnt+=1
    assert no_of_subsequences([5,6,7,8], 15) == 4
    cnt+=1
except:
    pass
finally:
    print(cnt)